CREATE TABLE cst_acct_item_costs_daily (
    COST_ORG_ID               NUMBER(18, 0) ,
    COST_BOOK_ID              NUMBER(18, 0) ,
    INVENTORY_ITEM_ID         NUMBER(18, 0) ,
    VAL_UNIT_ID               NUMBER(18, 0) ,
    COST_ELEMENT_ID           NUMBER(18, 0) ,
    SNAPSHOT_DATE             DATE          ,
    EFF_TO_DATE               DATE          ,
    UNIT_COST                 NUMBER        ,
    CURRENCY_CODE             VARCHAR2(120)     NOT NULL,
    UOM_CODE                  VARCHAR2(120)     NOT NULL,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    REQUEST_ID                NUMBER(18, 0) ,
    JOB_DEFINITION_NAME       VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE    VARCHAR2(3600),
    COST_ORG_ID               NUMBER(18, 0) ,
    COST_BOOK_ID              NUMBER(18, 0) ,
    INVENTORY_ITEM_ID         NUMBER(18, 0) ,
    VAL_UNIT_ID               NUMBER(18, 0) ,
    COST_ELEMENT_ID           NUMBER(18, 0) ,
    SNAPSHOT_DATE             DATE          ,
    EFF_TO_DATE               DATE          ,
    UNIT_COST                 NUMBER        ,
    CURRENCY_CODE             VARCHAR2(120)     NOT NULL,
    UOM_CODE                  VARCHAR2(120)     NOT NULL,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    REQUEST_ID                NUMBER(18, 0) ,
    JOB_DEFINITION_NAME       VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE    VARCHAR2(3600),
    CONSTRAINT pk_cst_acct_item_costs_daily PRIMARY KEY (COST_ORG_ID, COST_BOOK_ID, INVENTORY_ITEM_ID, VAL_UNIT_ID, COST_ELEMENT_ID, SNAPSHOT_DATE, COST_ORG_ID, COST_BOOK_ID, INVENTORY_ITEM_ID, VAL_UNIT_ID, COST_ELEMENT_ID, SNAPSHOT_DATE)
);
